/* -*- indent-tabs-mode: t; tab-width: 4; c-basic-offset: 4; -*- */
/*
   lats.h
   liblats library

   (C) Copyright 2007 Olivier Delhomme
   e-mail : olivier.delhomme@interieur.gouv.fr
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.           
*/
#ifndef _LIBLATS_H_
#define _LIBLATS_H_

#include <glade/glade.h>
#include <glib.h>
#include <gtk/gtk.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <stdlib.h>


#define LIBLATS_NAME "liblats"
#define LIBLATS_VERSION "0"   /* On change ici seulement lorsque l'on ajoute ou change l'interface des fonctions */
#define LIBLATS_SUMMARY "liblats library"
#define LIBLATS_DESCRIPTION "Provide some GTK and file operation wrappers"
#define LIBLATS_AUTHOR "Olivier Delhomme <olivier.delhomme@interieur.gouv.fr>"
#define LIBLATS_HOMEPAGE "none"

#include "config.h"
#include "ui.h" 
#include "locations.h"
#include "log.h"

#endif /* _LIBLATS_H_ */
