/* -*- indent-tabs-mode: t; tab-width: 4; c-basic-offset: 4; -*- */
/*
   log.h
   liblats library

   (C) Copyright 2007 Olivier Delhomme
   e-mail : olivier.delhomme@interieur.gouv.fr
 
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.           
*/
#ifndef _LIBLATS_LOG_H_
#define _LIBLATS_LOG_H_

typedef struct
{
  GtkTextView *textview; /* le textview o seront inscrites les donnes logues      */
  gchar *log_domain;     /* le domaine des messages (en gnral le nom du programme) */
} log_t;

extern void log_message(log_t * log, GLogLevelFlags log_level, const char *format, ...);
extern log_t *init_log_domain(GtkTextView *textview, gchar *log_domain);


#endif /* _LIBLATS_LOG_H_ */
